## Name

gfstress.rb — Gfarm stress test

## Synopsis

`gfstress.rb` [-t, --testdir `test directory`] [-m, --gfarm2fs `gfarm2fs mount point`] [-n, --number `number of pseudo users`] [-T, --timeout `timeout(seconds)`]

## DESCRIPTION

This comannd executes gfperf-metadata, gfperf-tree, gfperf-read, gfperf-write, gfperf-replica in parallel to make gfarm system high load average. gfperf-read, gfperf-write, gfperf-replica are executed for each gfsd servers.

This command runs until an error occured by default. If you need to stop, press Ctrl-C or send TERM signal. If you want set timeout, -T option is usable.

Number of pseudo users means multiplex set of gfperf-metadata, gfperf-tree, gfperf-read, gfperf-write, gfperf-replica. Same as multiplex execution of this command.

If gfarm2fs mount point is specified, more gfperf-metadata, gfperf-tree, gfperf-read, gfeprf-write commands that use gfarm2fs are executed.

## OPTIONS

`-t, --testdir` `test_directory`

  This directory is used for high load average test. The default is gfarm:///stress . All files and directories are removed at the end of testing.

`-m, --gfarm2fs` `gfarm2fs_mountpoint`

  Specify gfarm2fs mount point

`-n, --number` `number_of_pseudo_users`

  Specify number of pseudo users.

`-T, --timeout` `seconds`

  Specify timeout.